Skip to main content
GET
List All Machines

Path Parameters

org_slug
string
required

Fly Organization Slug

Query Parameters

include_deleted
boolean

Include deleted machines

region
string

Region filter

state
string

Comma separated list of states to filter (created, started, stopped, suspended)

summary
boolean

Omit config from responses

updated_after
string

Only return machines updated after this time. Timestamp must be in the RFC 3339 format

cursor
string

Pagination cursor from previous response (takes precedence over updated_after). Note that there is no guarantee that all machines returned by this endpoint are sorted by their updated_at fields. Pagination may reveal machines older than the last updated_at.

limit
integer

The number of machines to fetch (max of 1000). This limit is advisory. Responses may be shorter, or even empty, even when more machines remain. If omitted, the maximum is used

Response

200 - application/json

OK

error_regions
string[]
last_machine_id
string
last_updated_at
string
machines
object[]
next_cursor
string